<template>
  <router-link :to="'/news/' + slug">
    <b-card
      :img-src="imageSrc"
      img-alt="news image"
      img-left
      class="mb-3 overflow-hidden news-card"
    >
      <span
        v-for="(category, index) in categories"
        :key="category.id"
        class="categoryColor"
        :style="{
          backgroundColor: category.color,
          height: 100 / categories.length + '%',
          top: (100 / categories.length) * index + '%',
        }"
      ></span>
      <b-card-text>
        <span class="d-block mb-2 display-2">{{ title }}</span>
        <span class="d-block mb-2">{{ content }}</span>
      </b-card-text>
    </b-card>
  </router-link>
</template>

<style lang="scss">
.news-card {
  .card-img-left {
    width: 150px;
    height: 150px;
    object-fit: cover;
  }
}
.categoryColor {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 5px;
}
</style>

<script>
export default {
  props: {
    slug: {
      type: String,
      required: true,
    },
    title: {
      type: String,
      default: '',
    },
    content: {
      type: String,
      default: '',
    },
    image: {
      type: String,
      default: '',
    },
    categories: {
      type: Array,
      default: () => [],
    },
  },

  computed: {
    imageSrc() {
      return this.image
        ? this.image
        : 'https://cdn.shopify.com/s/files/1/0533/2089/files/placeholder-images-image_large.png';
    },
  },
};
</script>
